<?php
session_start();
include_once("../scripts/connect.php");
include("../scripts/session.php");
//Validar Session

    $sesion=new Sesion("","","");/*Se crea un objeto nuevo con el privilegio necesario para la pag. actual*/

    if(!$sesion->isValida("4")){ /*Sesion invalida*/
	header("Location: ../login.php?err=NoSesion");
    }/*no hay sesion*/

    else{
       $dato=explode("|",$_SESSION['usuario']);
       $sesion->setDatos($dato[0],$dato[1],$dato[2]);
    }
    //fin validar session

     $conexion=conecta_default();
  $ok=0; $idin = $sesion->id;


echo"<script language=\"JavaScript\" src=\"http://ajax.googleapis.com/ajax/libs/jquery/1.9.1/jquery.min.js\"></script><script language='JavaScript' src='../scripts/validadorvoucher.js'></script>";
 //seleccionar id y nombre del centro de distribucion
  $qp = "select  nombre from usuarios_ci where idusuarios_ci='$idin'";
$cp = mysqli_query($conexion, $qp) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

	$rp = mysqli_fetch_object($cp);	
		$centro = $rp->nombre;
	//Seleccionar datos del distribuidor
   $qa = "SELECT id_inver, rfc, nombre, appat, apmat, estatus_idestatus FROM inversionista WHERE rfc = '".$_POST['rfcpr']."'";
   $ca = mysqli_query($conexion, $qa) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));

   if(mysqli_affected_rows($conexion))
   {
   	$ra = mysqli_fetch_object($ca);
	$id = $ra->id_inver;
    $rfc = $ra->rfc;
	$nombre = $ra->nombre;
	$apat = $ra->appat;
	$amat = $ra->apmat;
    $estatus = $ra->estatus_idestatus;
    
    if($estatus == 1)
    {
		//ver si el distribuidor tiene regalias
		$qC3 = "SELECT idreg, apagar from regs2 where id_inver=$id and status=0";
     		 $cC3 = mysqli_query($conexion, $qC3) or die ('Error (Registro No Encontrado (Tabla regalias)): ' . mysqli_error($conexion));
			  if(mysqli_affected_rows($conexion))		{$conregs=1;
		}else{		$conregs=0;}
		
		$nombrecompleto = $nombre." ".$apat." ".$amat;
		//mostrar datos de distribuidor
		echo "<html>";
		echo "<head> </head>";
 		echo "<body><center><img src=\"notavta.gif\"><br><br>";
  		echo "<form name='f1' action='inv_mens3.php' method='post'>";	
 		echo "<table>
		<tR><td bgcolor=\"#594106\"><font color=\"#ffffff\"><b>R.F.C.</b></font></td><td bgcolor=\"#e8d78d\">$rfc</td></tr>
		<tR><td bgcolor=\"#594106\"><font color=\"#ffffff\"><b>Nombre.</b></font></td><td bgcolor=\"#e8d78d\">$nombre $apat $amat</td></tr>
		</table><br>
		";      
		//revisar si es su primera compra  
   $qa1 = "SELECT idtransacciones from transacciones where inversionista_id_inver=$id";
   $ca1 = mysqli_query($conexion, $qa1) or die ('Error (Registro No Encontrado): ' . mysqli_error($conexion));
            if(!mysqli_affected_rows($conexion))
   {            echo" <font color=\"red\"><b>Esta es la primera compra de este usuario, es necesario hacer la venta<br>
   por alg&uacute;n Kit de Inscripci&oacute;n de lo contrario esta compra no ser&aacute; v&aacute;lida</b></font><br><br>  ";
   }
		

	  	$qcentro_entrega="SELECT centros_idcd from usuarios_ci where idusuarios_ci='$dato[0]'";
   	$permiso_centro=mysqli_fetch_array(mysqli_query($conexion, $qcentro_entrega));
   	if($permiso_centro[0]==1)
   	{	

   		if($idin==84)
   		{
   			echo "<table>
   		<tr>
   		<td><font size='+2'>Centro de Entrega:</font></td>
   		<td><select name = 'entrega'>
			<option value='$idin'>$idin $centro</option>
			<option value='5'>5 Monica Maciel</option>
			<option value='8'>8 Almacen GDL</option>
			<option value='12'>12 Almacen General</option>
			<option value='85'>85 Cristina Cervantes</option>
			</select>
		</td>
		</tr>
		</table>
		<br>";
   		}
   		else{
   		echo"<table>
   		<tr>
   		<td><font size='+2'>Centro de Entrega:</font></td>
   		<td><select name = 'entrega'>
			<option value='$idin'>$idin $centro</option>
			<option value='8'>8 Almacen GDL</option>
			<option value='12'>12 Almacen General</option>
			<option value='90'>90 Orlando Cisneros</option>
			</select>
		</td>
		</tr>
		</table>
		<br>";
	}
   	}
   	else{
   		echo"<table><tr><td>Centro de Entrega:</td><td><b>$idin $centro</b>
			<input type=hidden name=entrega value='$idin'></td></tr></table><br>";
   	}

		
		//seleccionar formas de pago
		echo "<b>Forma de pago:<br> </b><bR><table cellpadding=\"8\"  >";
		
		//Pago en efectivo
		echo"<tr bgcolor=\"#e8d78d\">
		<td><input type='radio' name='pago' value='1' CHECKED><b>Efectivo</b></td><td><img src=\"efect.gif\" width=\"200\" height=\"35\"></td>
		<td></td></tr>";
		
		//Pago con deposito en banco
		echo"<tr bgcolor=\"#e8d78d\"><td><input type='radio' name='pago' value='2'><b>Deposito</b></td><td><img src=\"depositos.gif\" width=\"200\" height=\"35\"></td>
		<td>";
		
		if($idin==53){
			echo"<center><br>Banco: <select name = \"banco\">
			<option value=\"19\">Scotia Villa 2887</option>
			<option value=\"1\">Scotia Matriz 2355</option>
			<option value=\"3\">HSBC Matriz 7863</option>";
			
		}else{
		  $q2 = "SELECT * from bancos  WHERE 1 ";
  
  $c2 = mysqli_query($conexion, $q2) or die ('Error en la consulta' . mysqli_error($conexion));
  echo"<center><br>Banco: <select name = \"banco\">";
  for($i=0;$r1 = mysqli_fetch_row($c2);$i++)
   {
	   $a0 = $r1[0];
	   $a1 = $r1[1];
	   $a2 = $r1[2];  
	  
echo"<option value=\"$a0\">$a1 $a2</option>";
	}

	}	
		echo"
				<option value=\"0\">Otro</option>
			</select>&nbsp; Ref: <input type=\"text\" name=folio size=\"8\" ></td></tr>
		<tr bgcolor=\"#e8d78d\"><td><input type='radio' name='pago' value='3'><b>Tarjeta</b></td><td><img src=\"tarjetas.gif\" width=\"200\" height=\"35\"></td
		><td></td></tr>
		"; 
		//pago con regalias (solo si se tienen por pagar)
		if($conregs==1){echo"<tr bgcolor=\"#e8d78d\"><td><input type='radio' name='pago' value='5'><b>Regalias</b></td><td><img src=\"regspago.gif\" width=\"200\" height=\"35\"></td>
		<td><select name = \"idregs\">";
			while($rCuenta = mysqli_fetch_row($cC3))
      	{
         echo"<option value=\"$rCuenta[0]\">ID: $rCuenta[0] Cantidad: $ $rCuenta[1]</option> ";     
         };
         echo"
            </select>"; 
			}else{echo"<tr bgcolor=\"#e8d78d\"><td><input type='radio' name='pago' value='5' DISABLED><b>Regalias</b></td><td><img src=\"regspago.gif\" width=\"200\" height=\"35\"></td><td>No cuenta con regal&iacute;as por pagar</td>";}
		echo"</td></tr>";
		
		//pago con voucher
		echo"<tr bgcolor=\"#e8d78d\"><td><input type='radio' id='pagovo' name='pago' value='6'><b>Voucher</b></td><td><img src=\"voucherpago.gif\" width=\"200\" height=\"35\"></td>
		<td>Voucher No.<input type='text' size='10' maxlength='10' name='voucher' id='vouch' value=''><input type='text' id='vouchervalue'><input type='button'  value='Validar' onclick='validarvou();' > <label  id='mostrarvalor' ></td> </tr>";
		
		//pago pendiente por pagar
		echo"<tr bgcolor=\"#e8d78d\"><td><input type='radio' name='pago' value='4'><b>Por pagar</b></td><td><img src=\"porpagar.gif\" width=\"200\" height=\"35\"></td>
		<td>Autorizaci&oacute;n<input type='text' size='10' maxlength='10' name='autorizar' value=''></td></tr>
		</table><br>";
   
      
		echo "<input type='submit' value='Continuar' id='conti'>";
		echo "<input type='hidden' name='idinv' value='$id'>
		<input type='hidden' name='nombreinv' value='$nombrecompleto'><input type='hidden' name='idcent' value='$centro'>";
		echo "";
  		echo "</form>";
 		echo "</body>";
		echo "</html>";
    }
    else 
    {//en caso de que el distribuidor se encuentre bloqueado
     echo "<html>";
   	 echo "<head><meta http-equiv='Refresh' content='5;URL=javascript: history.go(-1)'></head>";
     echo "<center>";
   	 echo "<div style='width:500px; height:400; background: url(logotransp2.gif)'";
   	 echo "<form name='form1' action='index.php' method='post' style='padding-top:120px'>";
   	 echo "<label style='color:#FF0000; font-weight:bold; font-size:26px; padding-left:30px;'>ERROR:</label> <br /> <label style='color:#5C3C12; font-weight:bold; font-size:22px; padding-left:30px;'> EL CLIENTE QUE ESCRIBISTE NO HA SIDO ACEPTADO O HA SIDO BLOQUEADO, CONSULTA A UN ADMINISTRADOR.</label>";
     echo "<br /><br />Pulsa <a onclick='javascript: history.go(-1)' style='cursor:pointer; color:#5C3C12'>aqu&iacute;</a> si tu navegador no te redirecciona automaticamente";  	
   	 echo "</form>";
   	 echo "</div>";
     echo "</center>";
     echo "</html>";	
    }

   }
   else
   {//en caso que el rfc no exista
   	echo "<html>";
   	echo "<head><meta http-equiv='Refresh' content='3;URL=javascript: history.go(-1)'></head>";
    echo "<center>";
   	echo "<div style='width:500px; height:400; background: url(logotransp2.gif)'";
   	echo "<form name='form1' action='index.php' method='post' style='padding-top:120px'>";
   	echo "<label style='color:#FF0000; font-weight:bold; font-size:26px; padding-left:30px;'>ERROR:</label> <br /> <label style='color:#5C3C12; font-weight:bold; font-size:22px; padding-left:30px;'> EL RFC QUE INGRESASTE NO FUE ENCONTRADO FAVOR DE VERIFICARLO.</label>";
    echo "<br /><br />Pulsa <a onclick='javascript: history.go(-1)' style='cursor:pointer; color:#5C3C12'>aqu&iacute;</a> si tu navegador no te redirecciona automaticamente";
   	
   	echo "</form>";
   	echo "</div>";
    echo "</center>";
    echo "</html>";
   }
?>